import es
import playerlib
import cfglib

info = es.AddonInfo()
info.name        = "Air War"
info.version     = "1.0"
info.author      = "Donut"
info.basename    = "air_war"
info.description = "A addon that do so that people can't shoot while thay are standing on the ground."

''' Configuration File '''
cfg = cfglib.AddonCFG(es.getAddonPath(info.basename) + "/%s.cfg" % info.basename)
cfg.text("Here can you customize how how much gravity")
cfg.text("players will get when the addon is loaded.")
cfg.text("")
cfg.text("100 = You can jump very high")
cfg.text("500 = You can jump a bit higer than normal")
cfg.text("800 = Normal gravity")
cfg.text("")
loaded_gravity = cfg.cvar("loaded_gravity", 100, "Default value = 100")
cfg.text("")
cfg.text("")
cfg.text("")
cfg.text("")
cfg.text("Here can you customize how how much gravity")
cfg.text("players will get when you unload this addon.")
cfg.text("")
unloaded_gravity = cfg.cvar("loaded_gravity", 800, "Default value = 800")
cfg.write()

loaded_gravity = es.ServerVar('loaded_gravity')
unloaded_gravity = es.ServerVar('unloaded_gravity')

def load():
    es.server.cmd("unloaded_gravity")
    es.server.cmd("mp_restartgame 2")

def unload():
    es.server.cmd("unloaded_gravity")
    es.server.cmd("mp_restartgame 2")

def player_hurt(event_var):
    attacker = int(event_var['attacker'])
    if attacker:
        player = playerlib.getPlayer(attacker)
        if player.OnGround < 1.5:
            name = player.name
            player.health -= 95
            es.msg('#multi','#green[Air War] #default%s is shooting while on the ground!'%(name))